<?php

namespace App\Aggregate;

use App\Contract\Order;
use App\Entity\Client;
use App\Validator as CustomConstraint;
use Symfony\Component\Uid\Uuid;

readonly class AcceptOrderCommand
{
    public function __construct(
        #[CustomConstraint\ValidOrder]
        public Order $order,
        public Client $client,
    ) {
    }
}
